**Source URL:** https://limited.veevavault.dev/safety/vault-api/api-reference/24.3/sandbox-vaults/change-sandbox-size.md

# Change Sandbox Size



Change the size of a sandbox Vault for the authenticated Vault. You can initiate this action if there are sufficient allowances and the current sandbox meets the data and user limits of the requested size. Learn more about [sandbox sizes in Vault Help](https://platform.veevavault.help/en/lr/48988).

<Endpoint path="/api/{version}/objects/sandbox/batch/changesize" method="POST"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Accept` | `application/json` (default) or `application/xml` |
| `Content-Type` | `application/json` |
</FieldTable>

## Body Parameters {#body-parameters}

In the body of the request, include a raw JSON object with the following information:

<FieldTable>
| Name | Description |
| --- | --- |
| `name` | The name of the sandbox Vault. |
| `size` | The requested size of the sandbox: `Small`, `Medium`, `Large`, `Very Large`, `Extra Large`, or `Full`. Learn more about [sandbox sizes and their limits in Vault Help](https://platform.veevavault.help/en/lr/48988). |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -X POST -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/json" \
-d "[
{
	“name”: “SandboxA”,
	“size”: “Full”
}
]” \
https://myvault.veevavault.com/api/v22.3/objects/sandbox/batch/changesize

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
   "responseStatus": "SUCCESS",
   "responseMessage": null,
   "errorCodes": null,
   "errorType": null
}

```
</CodeExample>

## Response Details {#response-details}

On `SUCCESS`, the response includes the `responseStatus` and lists any errors encountered.



---

**Previous:** [Recheck Sandbox Usage Limit](/safety/vault-api/api-reference/24.3/sandbox-vaults/recheck-sandbox-usage-limit)  
**Next:** [Set Sandbox Entitlements](/safety/vault-api/api-reference/24.3/sandbox-vaults/set-sandbox-entitlements)